cordova-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jso...@apache.org
Subject [3/3] cordova-browser git commit: Add Windows specific shim wrappers for shjs - auto-generated by npm install
Date Fri, 23 Jan 2015 17:32:05 GMT
Add Windows specific shim wrappers for shjs - auto-generated by npm install


Project: http://git-wip-us.apache.org/repos/asf/cordova-browser/repo
Commit: http://git-wip-us.apache.org/repos/asf/cordova-browser/commit/05cc2b5f
Tree: http://git-wip-us.apache.org/repos/asf/cordova-browser/tree/05cc2b5f
Diff: http://git-wip-us.apache.org/repos/asf/cordova-browser/diff/05cc2b5f

Branch: refs/heads/master
Commit: 05cc2b5f25720eda79dc91e69cc1acefac798ec9
Parents: 7987c54
Author: Nikhil Khandelwal <nikhilkh@microsoft.com>
Authored: Wed Jan 14 14:09:25 2015 -0800
Committer: Nikhil Khandelwal <nikhilkh@microsoft.com>
Committed: Fri Jan 23 09:06:46 2015 -0800

----------------------------------------------------------------------
 node_modules/.bin/shjs     | 16 +++++++++++++++-
 node_modules/.bin/shjs.cmd |  5 +++++
 2 files changed, 20 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cordova-browser/blob/05cc2b5f/node_modules/.bin/shjs
----------------------------------------------------------------------
diff --git a/node_modules/.bin/shjs b/node_modules/.bin/shjs
index a044997..9908675 120000
--- a/node_modules/.bin/shjs
+++ b/node_modules/.bin/shjs
@@ -1 +1,15 @@
-../shelljs/bin/shjs
\ No newline at end of file
+#!/bin/sh
+basedir=`dirname "$0"`
+
+case `uname` in
+    *CYGWIN*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+if [ -x "$basedir/node" ]; then
+  "$basedir/node"  "$basedir/../shelljs/bin/shjs" "$@"
+  ret=$?
+else 
+  node  "$basedir/../shelljs/bin/shjs" "$@"
+  ret=$?
+fi
+exit $ret

http://git-wip-us.apache.org/repos/asf/cordova-browser/blob/05cc2b5f/node_modules/.bin/shjs.cmd
----------------------------------------------------------------------
diff --git a/node_modules/.bin/shjs.cmd b/node_modules/.bin/shjs.cmd
new file mode 100644
index 0000000..9ce460a
--- /dev/null
+++ b/node_modules/.bin/shjs.cmd
@@ -0,0 +1,5 @@
+@IF EXIST "%~dp0\node.exe" (
+  "%~dp0\node.exe"  "%~dp0\..\shelljs\bin\shjs" %*
+) ELSE (
+  node  "%~dp0\..\shelljs\bin\shjs" %*
+)
\ No newline at end of file


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@cordova.apache.org
For additional commands, e-mail: commits-help@cordova.apache.org


Mime
View raw message